/*  2014 modified by Erinome LLC
 *  gtsSettings.js     (c) Till Wiebke
 *  Code for the options-dialog (gtsSettings.xul) of "Go to Selection"
 *  Last changed: 2010-11-28
 *  http://www.tillwiebke.de/tools/gts/
 */

const gts_prefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("extensions.gotowebaddress.");

function gts_settings_load() {
	switch (gts_prefs.getIntPref("singleclick"))
	{
		case 0:
			document.getElementById("SingleClick").selectedItem = document.getElementById("singleclick.thistab");
			break;
		case 1:
			document.getElementById("SingleClick").selectedItem = document.getElementById("singleclick.newtab");
			break;
		case 2:
			document.getElementById("SingleClick").selectedItem = document.getElementById("singleclick.backtab");
			break;
	}
	switch (gts_prefs.getIntPref("shiftclick"))
	{
		case 0:
			document.getElementById("ShiftClick").selectedItem = document.getElementById("shiftclick.thistab");
			break;
		case 1:
			document.getElementById("ShiftClick").selectedItem = document.getElementById("shiftclick.newtab");
			break;
		case 2:
			document.getElementById("ShiftClick").selectedItem = document.getElementById("shiftclick.backtab");
			break;
	}
	switch (gts_prefs.getIntPref("ctrlclick"))
	{
		case 0:
			document.getElementById("CtrlClick").selectedItem = document.getElementById("ctrlclick.thistab");
			break;
		case 1:
			document.getElementById("CtrlClick").selectedItem = document.getElementById("ctrlclick.newtab");
			break;
		case 2:
			document.getElementById("CtrlClick").selectedItem = document.getElementById("ctrlclick.backtab");
			break;
	}
}

function gts_settings_save() {
	if (document.getElementById("singleclick.thistab").selected) 		gts_prefs.setIntPref("singleclick",0);
	else if (document.getElementById("singleclick.newtab").selected)	gts_prefs.setIntPref("singleclick",1);
	else if (document.getElementById("singleclick.backtab").selected)	gts_prefs.setIntPref("singleclick",2);

	if (document.getElementById("shiftclick.thistab").selected) 		gts_prefs.setIntPref("shiftclick",0);
	else if (document.getElementById("shiftclick.newtab").selected)		gts_prefs.setIntPref("shiftclick",1);
	else if (document.getElementById("shiftclick.backtab").selected)	gts_prefs.setIntPref("shiftclick",2);

	if (document.getElementById("ctrlclick.thistab").selected) 		gts_prefs.setIntPref("ctrlclick",0);
	else if (document.getElementById("ctrlclick.newtab").selected)	gts_prefs.setIntPref("ctrlclick",1);
	else if (document.getElementById("ctrlclick.backtab").selected)	gts_prefs.setIntPref("ctrlclick",2);

	return true;
}